package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价选项(非常满意,满意,基本满意,不满意,非常不满意)枚举类
*
* @author zxfei
*/
public enum PjOptionEnum {
    非常满意("非常满意", "非常满意"),
    满意("满意", "满意"),
    基本满意("基本满意", "基本满意"),
    不满意("不满意", "不满意"),
    非常不满意("非常不满意", "非常不满意");
    private String value;
    private String desc;

    PjOptionEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PjOptionEnum getByValue(String value) {
        for (PjOptionEnum pjOptionEnum : PjOptionEnum.values()) {
            if (pjOptionEnum.getValue() == value) {
                return pjOptionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PjOptionEnum item : PjOptionEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}